WordPress Cardoza Ajax Search 1.1 SQL Injection Vulnerability

2012-11-08T00:00:00
ID 1337DAY-ID-19705
Type zdt
Reporter Marcela Benetrix
Modified 2012-11-08T00:00:00

Description

WordPress Cardoza Ajax Search plugin version 1.1 suffers from a remote SQL injection vulnerability.

                                        
                                            #############################
Exploit Title : SQl INJECTION AJAX Post Search --- wordpress plugin---
Author:Marcela Benetrix
home:www.girlinthemiddle.net
Date: 10/12/12
version: 1.1
software link: http://wordpress.org/extend/plugins/cardoza-ajax-search/
#############################
AJAX Post Search wordpress plugin description
This plugin will allow your website visitors to search the posts of your site without page refresh.
##########################
SQL (blind) injection description
The problem was located in :cardoza_ajax_search.php file, to be more specific  the_search_function() . I could see that the srch_txt field hadn't been sanitized.

POC:

/wp-admin/admin-ajax.php/?srch_txt='or 1=1-- &action=the_search_text

via ajax

it is possible to access the database and as a consequence  get user information such as usernames, passwords among other data

##########################
Vendor Notification
10/12/2012 to: the developer. He replied immediately and fixed the problem.
posted in plugin track repository http://plugins.trac.wordpress.org/ticket/1588 
Because of it, a new version has been released

#  0day.today [2018-04-12]  #